javax.jdo.metadata

## Interface PackageMetadata

- All Superinterfaces:
    Metadata

      public interface PackageMetadata
      extends Metadata

  Represents a package within a JDOMetadata.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCatalog()` Accessor for the catalog (ORM) that all classes in this package default to.
    `ClassMetadata[]` | `getClasses()` Accessor for all classes defined in this package.
    `InterfaceMetadata[]` | `getInterfaces()` Accessor for all interfaces defined in this package.
    `String` | `getName()` Accessor for the name of this package (set on construction).
    `int` | `getNumberOfClasses()` Accessor for the number of classes defined in this package.
    `int` | `getNumberOfInterfaces()` Accessor for the number of interfaces defined in this package.
    `int` | `getNumberOfSequences()` Accessor for the number of sequences defined for this package.
    `String` | `getSchema()` Accessor for the schema (ORM) that all classes in this package default to.
    `SequenceMetadata[]` | `getSequences()` Accessor for any sequences defined on the package.
    `ClassMetadata` | `newClassMetadata(Class cls)` Add a new class to this package.
    `ClassMetadata` | `newClassMetadata(String name)` Add a new class to this package.
    `InterfaceMetadata` | `newInterfaceMetadata(Class cls)` Add a new interface to this package.
    `InterfaceMetadata` | `newInterfaceMetadata(String name)` Add a new interface to this package.
    `SequenceMetadata` | `newSequenceMetadata(String name, SequenceStrategy strategy)` Add a new sequence to this package.
    `PackageMetadata` | `setCatalog(String catalog)` Method to set the catalog (ORM) to apply to all classes in this package.
    `PackageMetadata` | `setSchema(String schema)` Method to set the schema (ORM) to apply to all classes in this package.

    - ### Methods inherited from interface javax.jdo.metadata.Metadata

      `getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

- - ### Method Detail

    - #### getName

          String getName()

      Accessor for the name of this package (set on construction).
      Returns:
        The name

    - #### setCatalog

          PackageMetadata setCatalog(String catalog)

      Method to set the catalog (ORM) to apply to all classes in this package.
      Parameters:
        `catalog` - Catalog name
      Returns:
        This metadata object

    - #### getCatalog

          String getCatalog()

      Accessor for the catalog (ORM) that all classes in this package default to.
      Returns:
        The catalog

    - #### setSchema

          PackageMetadata setSchema(String schema)

      Method to set the schema (ORM) to apply to all classes in this package.
      Parameters:
        `schema` - Schema name
      Returns:
        This metadata object

    - #### getSchema

          String getSchema()

      Accessor for the schema (ORM) that all classes in this package default to.
      Returns:
        The schema

    - #### getClasses

          ClassMetadata[] getClasses()

      Accessor for all classes defined in this package.
      Returns:
        The classes

    - #### newClassMetadata

          ClassMetadata newClassMetadata(String name)

      Add a new class to this package.
      Parameters:
        `name` - Name of the class
      Returns:
        The ClassMetadata

    - #### newClassMetadata

          ClassMetadata newClassMetadata(Class cls)

      Add a new class to this package.
      Parameters:
        `cls` - The class
      Returns:
        The ClassMetadata

    - #### getNumberOfClasses

          int getNumberOfClasses()

      Accessor for the number of classes defined in this package.
      Returns:
        The number of classes.

    - #### getInterfaces

          InterfaceMetadata[] getInterfaces()

      Accessor for all interfaces defined in this package.
      Returns:
        The interfaces

    - #### newInterfaceMetadata

          InterfaceMetadata newInterfaceMetadata(String name)

      Add a new interface to this package.
      Parameters:
        `name` - The interface name
      Returns:
        The InterfaceMetadata

    - #### newInterfaceMetadata

          InterfaceMetadata newInterfaceMetadata(Class cls)

      Add a new interface to this package.
      Parameters:
        `cls` - The class
      Returns:
        The ClassMetadata

    - #### getNumberOfInterfaces

          int getNumberOfInterfaces()

      Accessor for the number of interfaces defined in this package.
      Returns:
        The number of interfaces.

    - #### getSequences

          SequenceMetadata[] getSequences()

      Accessor for any sequences defined on the package.
      Returns:
        The sequences

    - #### newSequenceMetadata

          SequenceMetadata newSequenceMetadata(String name,
                                               SequenceStrategy strategy)

      Add a new sequence to this package.
      Parameters:
        `name` - Name of the sequence
        `strategy` - Strategy for the sequence
      Returns:
        The SequenceMetadata

    - #### getNumberOfSequences

          int getNumberOfSequences()

      Accessor for the number of sequences defined for this package.
      Returns:
        The number of sequences.

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.